This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 168829 - Network must be restarted to get named to work after boot.
Network must be restarted to get named to work after boot.
Status: CLOSED DUPLICATE of bug 146682
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 11:19 EDT by Ed Young
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 18:14:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
tcpdump of DNS and associated evidence (31.30 KB, application/octet-stream)
2005-09-26 07:16 EDT, Ed Young
no flags Details
Contains named-1.scr named.run tcpdump.log (9.67 KB, application/octet-stream)
2005-09-26 17:51 EDT, Ed Young
no flags Details

  None (edit)
Description Ed Young 2005-09-20 11:19:11 EDT
Description of problem:
I have configured named to be a cashing nameserver.  In order to get it to work
after bootup, I have to do a 'service network restart'.

I use comcast as my ISP.

The work around is to put 'service network restart' in /etc/rc.d/rc.local

Speculation:  named is started before the network is 'really' up, this gums up
the works somehow?


Version-Release number of selected component (if applicable):
  caching-nameserver-7.3-3


How reproducible:
  Every time.


Steps to Reproduce:
1. edit /etc/named.conf, configure forwarders{}; to use your ISP's nameservers.
2. use chkconfig to start named in runlevel 3
3. use network configuration to deselect getting nameservers via dhcpd from ISP
4. reboot (runlevel 3)
5. do an 'nslookup www.google.com' - this fails

  
Actual results:
# nslookup www.google.com
;; connection timed out; no servers could be reached


Expected results:
# nslookup www.google.com
Server:         127.0.0.1
Address:        127.0.0.1#53

Non-authoritative answer:
www.google.com  canonical name = www.l.google.com.
Name:   www.l.google.com
Address: 64.233.167.147
Name:   www.l.google.com
Address: 64.233.167.99
Name:   www.l.google.com
Address: 64.233.167.104


Additional info:
This is just after bootup:
(~)
# uname -a
Linux dad 2.6.12-1.1376_FC3smp #1 SMP Fri Aug 26 23:50:33 EDT 2005 i686 i686
i386 GNU/Linux
(~)
# cat /etc/issue
Fedora Core release 3 (Heidelberg)
Kernel \r on an \m

(~)
# nslookup www.google.com
;; connection timed out; no servers could be reached

(~)
# ifconfig >before
(~)
# service network restart
Shutting down interface eth0:                              [  OK  ]
Shutting down interface eth1:                              [  OK  ]
Shutting down loopback interface:                          [  OK  ]
Disabling IPv4 packet forwarding:                          [  OK  ]
Setting network parameters:                                [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:                                [  OK  ]
Bringing up interface eth1:                                [  OK  ]
(~)
# nslookup www.google.com
Server:         127.0.0.1
Address:        127.0.0.1#53

Non-authoritative answer:
www.google.com  canonical name = www.l.google.com.
Name:   www.l.google.com
Address: 64.233.167.147
Name:   www.l.google.com
Address: 64.233.167.99
Name:   www.l.google.com
Address: 64.233.167.104

(~)
# ifconfig >after
(~)
# ls /etc/rc3.d
K01yum         K74nscd             S25netfs          S80sendmail
K05saslauthd   K89netplugd         S26apmd           S85gpm
K10dc_server   S00microcode_ctl    S28autofs         S90crond
K10lirc        S04readahead_early  S33nifd           S90xfs
K12dc_client   S05kudzu            S34mDNSResponder  S95anacron
K15httpd       S06cpuspeed         S40smartd         S95atd
K15postgresql  S08iptables         S44acpid          S96readahead
K34dhcrelay    S09firewall         S54dovecot        S97messagebus
K35smb         S10network          S55cups           S98cups-config-daemon
K35winbind     S11named            S55sshd           S98haldaemon
K70aep1000     S12syslog           S56xinetd         S99local
K70bcm5820     S13irqbalance       S58ntpd
K73ypbind      S13portmap          S65dhcpd
(~)
# cat /etc/named.conf
//
// named.conf for Red Hat caching-nameserver 
//

options {
        directory "/var/named";
        dump-file "/var/named/data/cache_dump.db";
        statistics-file "/var/named/data/named_stats.txt";
        /*
         * If there is a firewall between you and nameservers you want
         * to talk to, you might need to uncomment the query-source
         * directive below.  Previous versions of BIND always asked
         * questions using port 53, but BIND 8.1 uses an unprivileged
         * port by default.
         */
        // query-source address * port 53;
        query-source address * port 53;
        forward first;
        forwarders{
                68.87.75.194;
                68.87.64.196;
                68.87.66.196;
        };
};

// 
// a caching only nameserver config
// 
controls {
        inet 127.0.0.1 allow { localhost; } keys { rndckey; };
        inet 192.168.0.1 allow { 192.168.0.0/24; } keys { rndckey; };
};

zone "." IN {
        type hint;
        file "named.ca";
};

zone "localdomain" IN {
        type master;
        file "localdomain.zone";
        allow-update { none; };
};

zone "localhost" IN {
        type master;
        file "localhost.zone";
        allow-update { none; };
};

zone "0.0.127.in-addr.arpa" IN {
        type master;
        file "named.local";
        allow-update { none; };
};

zone "0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa" IN {
        type master;
        file "named.ip6.local";
        allow-update { none; };
};

zone "255.in-addr.arpa" IN {
        type master;
        file "named.broadcast";
        allow-update { none; };
};

zone "0.in-addr.arpa" IN {
        type master;
        file "named.zero";
        allow-update { none; };
};

include "/etc/rndc.key";
(~)
# cat before
eth0      Link encap:Ethernet  HWaddr xxx 
          inet addr:192.168.0.1  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: zzzz Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:171 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:11759 (11.4 KiB)
          Interrupt:177 Base address:0xd400 

eth1      Link encap:Ethernet  HWaddr xxx  
          inet addr:69.255.xx.yy  Bcast:255.255.255.255  Mask:255.255.254.0
          inet6 addr: zzzz Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1043 errors:0 dropped:0 overruns:0 frame:0
          TX packets:8 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:62894 (61.4 KiB)  TX bytes:590 (590.0 b)
          Interrupt:177 Memory:feafc000-0 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:181 errors:0 dropped:0 overruns:0 frame:0
          TX packets:181 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:13732 (13.4 KiB)  TX bytes:13732 (13.4 KiB)

(~)
# cat after
eth0      Link encap:Ethernet  HWaddr xxx  
          inet addr:192.168.0.1  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: zzzz Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:194 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:13457 (13.1 KiB)
          Interrupt:177 Base address:0xd400 

eth1      Link encap:Ethernet  HWaddr xxx  
          inet addr:69.255.xx.yy  Bcast:255.255.255.255  Mask:255.255.254.0
          inet6 addr: zzzz Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1248 errors:0 dropped:0 overruns:0 frame:0
          TX packets:13 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:75686 (73.9 KiB)  TX bytes:1014 (1014.0 b)
          Interrupt:177 Memory:feafc000-0 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:185 errors:0 dropped:0 overruns:0 frame:0
          TX packets:185 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:14040 (13.7 KiB)  TX bytes:14040 (13.7 KiB)

(~)
# cat /var/log/messages   # trimmed to only after rc.sysinit
Sep 20 09:31:53 localhost rc.sysinit: -e 
Sep 20 09:32:44 localhost kernel: mice: PS/2 mouse device common for all mice
Sep 20 09:31:55 localhost start_udev: Starting udev:  succeeded 
Sep 20 09:32:44 localhost kernel: md: md driver 0.90.1 MAX_MD_DEVS=256,
MD_SB_DISKS=27
Sep 20 09:31:57 localhost udevsend[1416]: starting udevd daemon 
Sep 20 09:32:44 localhost kernel: NET: Registered protocol family 2
Sep 20 09:32:05 localhost rc.sysinit: -e 
Sep 20 09:32:44 localhost kernel: IP: routing cache hash table of 4096 buckets,
64Kbytes
Sep 20 09:32:10 localhost sysctl: net.ipv4.ip_forward = 1 
Sep 20 09:32:44 localhost kernel: TCP established hash table entries: 262144
(order: 10, 4194304 bytes)
Sep 20 09:32:10 localhost sysctl: net.ipv4.conf.default.rp_filter = 1 
Sep 20 09:32:44 localhost kernel: TCP bind hash table entries: 65536 (order: 7,
786432 bytes)
Sep 20 09:32:10 localhost sysctl: kernel.sysrq = 0 
Sep 20 09:32:44 localhost kernel: TCP: Hash tables configured (established
262144 bind 65536)
Sep 20 09:32:10 localhost sysctl: kernel.core_uses_pid = 1 
Sep 20 09:32:44 localhost kernel: Initializing IPsec netlink socket
Sep 20 09:32:10 localhost rc.sysinit: Configuring kernel parameters:  succeeded 
Sep 20 09:32:44 localhost kernel: NET: Registered protocol family 1
Sep 20 09:32:09 localhost date: Tue Sep 20 09:32:09 EDT 2005 
Sep 20 09:32:44 localhost kernel: NET: Registered protocol family 17
Sep 20 09:32:09 localhost rc.sysinit: Setting clock  (utc): Tue Sep 20 09:32:09
EDT 2005 succeeded 
Sep 20 09:32:44 localhost kernel: ACPI wakeup devices: 
Sep 20 09:32:09 localhost rc.sysinit: Loading default keymap succeeded 
Sep 20 09:32:44 localhost kernel: P0P4 MC97 USB1 USB2 USB3 USB4 EUSB PS2K PS2M ILAN 
Sep 20 09:32:09 localhost rc.sysinit: Setting hostname dad:  succeeded 
Sep 20 09:32:44 localhost kernel: ACPI: (supports S0 S1 S3 S4 S5)
Sep 20 09:32:09 localhost fsck: /: clean, 220411/14516224 files,
6008795/29015398 blocks 
Sep 20 09:32:45 localhost kernel: Freeing unused kernel memory: 232k freed
Sep 20 09:32:09 localhost rc.sysinit: Checking root filesystem succeeded 
Sep 20 09:32:45 localhost kernel: input: AT Translated Set 2 keyboard on
isa0060/serio0
Sep 20 09:32:09 localhost rc.sysinit: Remounting root filesystem in read-write
mode:  succeeded 
Sep 20 09:32:45 localhost kernel: kjournald starting.  Commit interval 5 seconds
Sep 20 09:32:09 localhost lvm.static:   No volume groups found 
Sep 20 09:32:45 localhost kernel: EXT3-fs: mounted filesystem with ordered data
mode.
Sep 20 09:32:09 localhost rc.sysinit: Setting up Logical Volume Management:
succeeded 
Sep 20 09:32:45 localhost kernel: logips2pp: Detected unknown logitech mouse
model 85
Sep 20 09:32:09 localhost fsck: /boot: clean, 32/32128 files, 11165/128488 blocks 
Sep 20 09:32:45 localhost kernel: input: ImPS/2 Logitech Wheel Mouse on
isa0060/serio1
Sep 20 09:32:09 localhost rc.sysinit: Checking filesystems succeeded 
Sep 20 09:32:45 localhost kernel: SELinux:  Disabled at runtime.
Sep 20 09:32:09 localhost rc.sysinit: Mounting local filesystems:  succeeded 
Sep 20 09:32:45 localhost kernel: SELinux:  Unregistering netfilter hooks
Sep 20 09:32:10 localhost rc.sysinit: Enabling local filesystem quotas:  succeeded 
Sep 20 09:32:45 localhost kernel: Floppy drive(s): fd0 is 1.44M
Sep 20 09:32:10 localhost rc.sysinit: Enabling swap space:  succeeded 
Sep 20 09:32:45 localhost kernel: FDC 0 is a post-1991 82077
Sep 20 09:32:10 localhost init: Entering runlevel: 3 
Sep 20 09:32:45 localhost kernel: 8139too Fast Ethernet driver 0.9.27
Sep 20 09:32:11 localhost microcode_ctl: microcode_ctl startup succeeded 
Sep 20 09:32:46 localhost kernel: ACPI: PCI Interrupt 0000:02:0a.0[A] -> GSI 22
(level, low) -> IRQ 177
Sep 20 09:32:11 localhost readahead_early: Starting background readahead:  
Sep 20 09:32:46 localhost kernel: eth0: RealTek RTL8139 at 0xd400,
00:04:e2:08:44:74, IRQ 177
Sep 20 09:32:11 localhost rc: Starting readahead_early:  succeeded 
Sep 20 09:32:33 localhost scsi.agent[3016]: disk at
/devices/pci0000:00/0000:00:1d.7/usb1/1-4/1-4:1.0/host0/target0:0:0/0:0:0:0 
Sep 20 09:32:46 localhost kernel: ACPI: PCI Interrupt 0000:02:05.0[A] -> GSI 22
(level, low) -> IRQ 177
Sep 20 09:32:36 localhost kudzu:  succeeded 
Sep 20 09:32:46 localhost kernel: ACPI: PCI Interrupt 0000:02:05.0[A] -> GSI 22
(level, low) -> IRQ 177
Sep 20 09:32:36 localhost firewall: Starting firewall... 
Sep 20 09:32:46 localhost kernel: eth1: Yukon Gigabit Ethernet 10/100/1000Base-T
Adapter
Sep 20 09:32:37 localhost rc: Starting firewall:  succeeded 
Sep 20 09:32:46 localhost kernel:       PrefPort:A  RlmtMode:Check Link State
Sep 20 09:32:37 localhost sysctl: net.ipv4.ip_forward = 1 
Sep 20 09:32:46 localhost kernel: ACPI: PCI Interrupt 0000:02:0b.0[A] -> GSI 23
(level, low) -> IRQ 185
Sep 20 09:32:37 localhost sysctl: net.ipv4.conf.default.rp_filter = 1 
Sep 20 09:32:46 localhost kernel: hw_random: RNG not detected
Sep 20 09:32:37 localhost sysctl: kernel.sysrq = 0 
Sep 20 09:32:46 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.7[D] -> GSI 23
(level, low) -> IRQ 185
Sep 20 09:32:37 localhost sysctl: kernel.core_uses_pid = 1 
Sep 20 09:32:37 localhost network: Setting network parameters:  succeeded 
Sep 20 09:32:46 localhost kernel: ehci_hcd 0000:00:1d.7: EHCI Host Controller
Sep 20 09:32:37 localhost network: Bringing up loopback interface:  succeeded 
Sep 20 09:32:46 localhost kernel: ehci_hcd 0000:00:1d.7: debug port 1
Sep 20 09:32:39 localhost network: Bringing up interface eth0:  succeeded 
Sep 20 09:32:46 localhost kernel: ehci_hcd 0000:00:1d.7: BIOS handoff failed
(104, 1010001)
Sep 20 09:32:39 localhost ifup:  
Sep 20 09:32:46 localhost kernel: ehci_hcd 0000:00:1d.7: continuing after BIOS
bug...
Sep 20 09:32:39 localhost ifup: Determining IP information for eth1... 
Sep 20 09:32:47 localhost kernel: ehci_hcd 0000:00:1d.7: new USB bus registered,
assigned bus number 1
Sep 20 09:32:39 localhost dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67 
Sep 20 09:32:47 localhost kernel: ehci_hcd 0000:00:1d.7: irq 185, io mem 0xfebffc00
Sep 20 09:32:41 localhost dhclient: DHCPACK from 10.82.224.1 
Sep 20 09:32:41 localhost dhclient: bound to 69.255.xx.yy -- renewal in 159101
seconds. 
Sep 20 09:32:47 localhost kernel: ehci_hcd 0000:00:1d.7: USB 2.0 initialized,
EHCI 1.00, driver 10 Dec 2004
Sep 20 09:32:41 localhost ifup:  done. 
Sep 20 09:32:47 localhost kernel: hub 1-0:1.0: USB hub found
Sep 20 09:32:41 localhost network: Bringing up interface eth1:  succeeded 
Sep 20 09:32:47 localhost kernel: hub 1-0:1.0: 8 ports detected
Sep 20 09:32:41 localhost named[3737]: starting BIND 9.2.5 -u named 
Sep 20 09:32:47 localhost kernel: USB Universal Host Controller Interface driver
v2.2
Sep 20 09:32:42 localhost named: named startup succeeded 
Sep 20 09:32:47 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 16
(level, low) -> IRQ 193
Sep 20 09:32:47 localhost kernel: uhci_hcd 0000:00:1d.0: UHCI Host Controller
Sep 20 09:32:47 localhost kernel: uhci_hcd 0000:00:1d.0: new USB bus registered,
assigned bus number 2
Sep 20 09:32:47 localhost kernel: uhci_hcd 0000:00:1d.0: irq 193, io base 0x0000ef00
Sep 20 09:32:47 localhost kernel: hub 2-0:1.0: USB hub found
Sep 20 09:32:47 localhost kernel: hub 2-0:1.0: 2 ports detected
Sep 20 09:32:47 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19
(level, low) -> IRQ 201
Sep 20 09:32:47 localhost kernel: uhci_hcd 0000:00:1d.1: UHCI Host Controller
Sep 20 09:32:47 localhost kernel: uhci_hcd 0000:00:1d.1: new USB bus registered,
assigned bus number 3
Sep 20 09:32:47 localhost kernel: uhci_hcd 0000:00:1d.1: irq 201, io base 0x0000ef20
Sep 20 09:32:47 localhost kernel: hub 3-0:1.0: USB hub found
Sep 20 09:32:47 localhost kernel: hub 3-0:1.0: 2 ports detected
Sep 20 09:32:47 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18
(level, low) -> IRQ 169
Sep 20 09:32:47 localhost kernel: uhci_hcd 0000:00:1d.2: UHCI Host Controller
Sep 20 09:32:47 localhost kernel: usb 1-2: new high speed USB device using
ehci_hcd and address 3
Sep 20 09:32:47 localhost kernel: uhci_hcd 0000:00:1d.2: new USB bus registered,
assigned bus number 4
Sep 20 09:32:47 localhost kernel: uhci_hcd 0000:00:1d.2: irq 169, io base 0x0000ef40
Sep 20 09:32:47 localhost kernel: hub 4-0:1.0: USB hub found
Sep 20 09:32:47 localhost kernel: hub 4-0:1.0: 2 ports detected
Sep 20 09:32:47 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.3[A] -> GSI 16
(level, low) -> IRQ 193
Sep 20 09:32:47 localhost kernel: uhci_hcd 0000:00:1d.3: UHCI Host Controller
Sep 20 09:32:47 localhost kernel: uhci_hcd 0000:00:1d.3: new USB bus registered,
assigned bus number 5
Sep 20 09:32:47 localhost kernel: uhci_hcd 0000:00:1d.3: irq 193, io base 0x0000ef80
Sep 20 09:32:47 localhost kernel: hub 5-0:1.0: USB hub found
Sep 20 09:32:47 localhost kernel: hub 5-0:1.0: 2 ports detected
Sep 20 09:32:47 localhost kernel: usb 1-2: device descriptor read/64, error -71
Sep 20 09:32:47 localhost kernel: md: Autodetecting RAID arrays.
Sep 20 09:32:47 localhost kernel: md: autorun ...
Sep 20 09:32:47 localhost kernel: md: ... autorun DONE.
Sep 20 09:32:47 localhost kernel: Using generic hotkey driver
Sep 20 09:32:47 localhost kernel: ACPI: Power Button (FF) [PWRF]
Sep 20 09:32:47 localhost kernel: ACPI: Power Button (CM) [PWRB]
Sep 20 09:32:47 localhost kernel: ibm_acpi: Using generic hotkey driver
Sep 20 09:32:47 localhost kernel: toshiba_acpi: Using generic hotkey driver
Sep 20 09:32:47 localhost kernel: EXT3 FS on hda3, internal journal
Sep 20 09:32:47 localhost kernel: device-mapper: 4.4.0-ioctl (2005-01-12)
initialised: dm-devel@redhat.com
Sep 20 09:32:47 localhost kernel: usb 1-2: device descriptor read/64, error -71
Sep 20 09:32:47 localhost kernel: usb 1-2: new high speed USB device using
ehci_hcd and address 4
Sep 20 09:32:47 localhost kernel: kjournald starting.  Commit interval 5 seconds
Sep 20 09:32:47 localhost kernel: EXT3 FS on hda1, internal journal
Sep 20 09:32:47 localhost kernel: EXT3-fs: mounted filesystem with ordered data
mode.
Sep 20 09:32:47 localhost kernel: Adding 1052248k swap on /dev/hda2. 
Priority:-1 extents:1
Sep 20 09:32:47 localhost kernel: usb 1-2: device descriptor read/64, error -71
Sep 20 09:32:47 localhost kernel: IA-32 Microcode Update Driver: v1.14
<tigran@veritas.com>
Sep 20 09:32:47 localhost kernel: microcode: CPU1 updated from revision 0x7 to
0xb, date = 05122004 
Sep 20 09:32:47 localhost kernel: microcode: CPU0 updated from revision 0x7 to
0xb, date = 05122004 
Sep 20 09:32:47 localhost kernel: usb 1-2: device descriptor read/64, error -71
Sep 20 09:32:47 localhost kernel: usb 1-2: new high speed USB device using
ehci_hcd and address 5
Sep 20 09:32:47 localhost kernel: usb 1-2: device not accepting address 5, error -71
Sep 20 09:32:47 localhost kernel: usb 1-2: new high speed USB device using
ehci_hcd and address 6
Sep 20 09:32:47 localhost kernel: usb 1-2: device not accepting address 6, error -71
Sep 20 09:32:48 localhost kernel: usb 1-4: new high speed USB device using
ehci_hcd and address 7
Sep 20 09:32:48 localhost kernel: usb 2-1: new full speed USB device using
uhci_hcd and address 2
Sep 20 09:32:48 localhost kernel: SCSI subsystem initialized
Sep 20 09:32:48 localhost kernel: Initializing USB Mass Storage driver...
Sep 20 09:32:48 localhost kernel: scsi0 : SCSI emulation for USB Mass Storage
devices
Sep 20 09:32:48 localhost kernel: usbcore: registered new driver usb-storage
Sep 20 09:32:48 localhost kernel: USB Mass Storage support registered.
Sep 20 09:32:48 localhost kernel:   Vendor: Generic   Model: STORAGE DEVICE   
Rev: 1.00
Sep 20 09:32:48 localhost kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 00
Sep 20 09:32:48 localhost kernel: Attached scsi removable disk sda at scsi0,
channel 0, id 0, lun 0
Sep 20 09:32:48 localhost kernel: parport: PnPBIOS parport detected.
Sep 20 09:32:48 localhost kernel: parport0: PC-style at 0x378, irq 7 [PCSPP]
Sep 20 09:32:48 localhost kernel: parport0: Printer, Hewlett-Packard HP LaserJet 5L
Sep 20 09:32:48 localhost kernel: pnp: Device 00:09 disabled.
Sep 20 09:32:48 localhost kernel: Device not ready. Make sure there is a disc in
the drive.
Sep 20 09:32:48 localhost kernel: Device not ready. Make sure there is a disc in
the drive.
Sep 20 09:32:48 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Sep 20 09:32:48 localhost kernel: ip_conntrack version 2.1 (8189 buckets, 65512
max) - 256 bytes per conntrack
Sep 20 09:32:48 localhost kernel: eth0: link up, 10Mbps, half-duplex, lpa 0x0000
Sep 20 09:32:48 localhost kernel: eth1: network connection up using port A
Sep 20 09:32:48 localhost kernel:     speed:           100
Sep 20 09:32:48 localhost kernel:     autonegotiation: yes
Sep 20 09:32:48 localhost kernel:     duplex mode:     full
Sep 20 09:32:48 localhost kernel:     flowctrl:        none
Sep 20 09:32:48 localhost kernel:     irq moderation:  disabled
Sep 20 09:32:48 localhost kernel:     scatter-gather:  enabled
Sep 20 09:32:48 localhost kernel: NET: Registered protocol family 10
Sep 20 09:32:48 localhost kernel: Disabled Privacy Extensions on device c0376e40(lo)
Sep 20 09:32:48 localhost kernel: IPv6 over IPv4 tunneling driver
Sep 20 09:32:48 localhost kernel: pnp: Device 00:09 activated.
Sep 20 09:32:48 localhost kernel: parport: PnPBIOS parport detected.
Sep 20 09:32:48 localhost kernel: parport0: PC-style at 0x378, irq 7 [PCSPP]
Sep 20 09:32:48 localhost kernel: parport0: Printer, Hewlett-Packard HP LaserJet 5L
Sep 20 09:32:48 localhost kernel: lp0: using parport0 (interrupt-driven).
Sep 20 09:32:48 localhost kernel: lp0: console ready
Sep 20 09:32:49 localhost cups: cupsd startup succeeded
Sep 20 09:32:49 localhost sshd:  succeeded
Sep 20 09:32:49 localhost xinetd: xinetd startup succeeded
Sep 20 09:32:49 localhost xinetd[4143]: xinetd Version 2.3.13 started with
libwrap loadavg options compiled in.
Sep 20 09:32:49 localhost xinetd[4143]: Started working: 1 available service
Sep 20 09:32:58 localhost ntpdate[4155]: no server suitable for synchronization
found
Sep 20 09:32:58 localhost ntpd:  failed
Sep 20 09:32:58 localhost ntpd[4160]: ntpd 4.2.0a@1.1190-r Fri Aug 26 04:27:20
EDT 2005 (1)
Sep 20 09:32:58 localhost ntpd: ntpd startup succeeded
Sep 20 09:32:58 localhost ntpd[4160]: precision = 3.000 usec
Sep 20 09:32:58 localhost ntpd[4160]: Listening on interface wildcard, 0.0.0.0#123
Sep 20 09:32:58 localhost ntpd[4160]: Listening on interface wildcard, ::#123
Sep 20 09:32:58 localhost ntpd[4160]: Listening on interface lo, 127.0.0.1#123
Sep 20 09:32:58 localhost ntpd[4160]: Listening on interface eth0, 192.168.0.1#123
Sep 20 09:32:58 localhost ntpd[4160]: Listening on interface eth1, 69.253.70.84#123
Sep 20 09:32:58 localhost ntpd[4160]: kernel time sync status 0040
Sep 20 09:32:58 localhost ntpd[4160]: frequency initialized -51.220 PPM from
/var/lib/ntp/drift
Sep 20 09:32:58 localhost ntpd[4160]: configure: keyword "authenticate" unknown,
line ignored
Sep 20 09:32:58 localhost dhcpd: Wrote 3 leases to leases file.
Sep 20 09:32:58 localhost dhcpd: dhcpd startup succeeded
Sep 20 09:32:58 localhost dhcpd: dhcpd startup succeeded
Sep 20 09:32:58 localhost sendmail: sendmail startup succeeded
Sep 20 09:32:58 localhost sendmail: sm-client startup succeeded
Sep 20 09:32:59 localhost gpm[4209]: *** info [startup.c(95)]: 
Sep 20 09:32:59 localhost gpm[4209]: Started gpm successfully. Entered daemon mode.
Sep 20 09:32:59 localhost gpm[4209]: *** info [mice.c(1766)]: 
Sep 20 09:32:59 localhost gpm[4209]: imps2: Auto-detected intellimouse PS/2
Sep 20 09:32:59 localhost gpm: gpm startup succeeded
Sep 20 09:32:59 localhost crond: crond startup succeeded
Sep 20 09:33:00 localhost xfs: xfs startup succeeded
Sep 20 09:33:00 localhost anacron: anacron startup succeeded
Sep 20 09:33:00 localhost atd: atd startup succeeded
Sep 20 09:33:00 localhost readahead: Starting background readahead: 
Sep 20 09:33:00 localhost rc: Starting readahead:  succeeded
Sep 20 09:33:01 localhost messagebus: messagebus startup succeeded
Sep 20 09:33:01 localhost cups-config-daemon: cups-config-daemon startup succeeded
Sep 20 09:33:02 localhost haldaemon: haldaemon startup succeeded
Sep 20 09:33:03 localhost su(pam_unix)[4308]: session opened for user ejy by (uid=0)
Sep 20 09:33:03 localhost fstab-sync[4309]: removed all generated mount points
Sep 20 09:33:04 localhost su(pam_unix)[4308]: session closed for user ejy
Sep 20 09:33:16 localhost login(pam_unix)[4369]: session opened for user ejy by
(uid=0)
Sep 20 09:33:16 localhost  -- ejy[4369]: LOGIN ON tty1 BY ejy
Sep 20 09:33:18 localhost kernel: mtrr: type mismatch for e0000000,10000000 old:
write-back new: write-combining
Sep 20 09:33:21 localhost gconfd (ejy-4952): starting (version 2.8.1), pid 4952
user 'ejy'
Sep 20 09:33:21 localhost gconfd (ejy-4952): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration
source at position 0
Sep 20 09:33:21 localhost gconfd (ejy-4952): Resolved address
"xml:readwrite:/home/ejy/.gconf" to a writable configuration source at position 1
Sep 20 09:33:21 localhost gconfd (ejy-4952): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source
at position 2
Sep 20 09:33:33 localhost gconfd (ejy-4952): Resolved address
"xml:readwrite:/home/ejy/.gconf" to a writable configuration source at position 0
Sep 20 09:33:49 localhost su(pam_unix)[5045]: session opened for user root by
(uid=500)
Sep 20 09:35:10 localhost dhcpd: receive_packet failed on eth0: Network is down
Sep 20 09:35:10 localhost network: Shutting down interface eth0:  succeeded
Sep 20 09:35:10 localhost kernel: eth1: network connection down
Sep 20 09:35:10 localhost network: Shutting down interface eth1:  succeeded
Sep 20 09:35:11 localhost network: Shutting down loopback interface:  succeeded
Sep 20 09:35:11 localhost sysctl: net.ipv4.ip_forward = 0
Sep 20 09:35:11 localhost network: Disabling IPv4 packet forwarding:  succeeded
Sep 20 09:35:11 localhost sysctl: net.ipv4.ip_forward = 1
Sep 20 09:35:11 localhost sysctl: net.ipv4.conf.default.rp_filter = 1
Sep 20 09:35:11 localhost sysctl: kernel.sysrq = 0
Sep 20 09:35:11 localhost sysctl: kernel.core_uses_pid = 1
Sep 20 09:35:11 localhost network: Setting network parameters:  succeeded
Sep 20 09:35:11 localhost network: Bringing up loopback interface:  succeeded
Sep 20 09:35:11 localhost kernel: eth0: link up, 10Mbps, half-duplex, lpa 0x0000
Sep 20 09:35:13 localhost network: Bringing up interface eth0:  succeeded
Sep 20 09:35:13 localhost ifup: 
Sep 20 09:35:13 localhost ifup: Determining IP information for eth1...
Sep 20 09:35:13 localhost dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67
Sep 20 09:35:15 localhost kernel: eth1: network connection up using port A
Sep 20 09:35:15 localhost kernel:     speed:           100
Sep 20 09:35:15 localhost kernel:     autonegotiation: yes
Sep 20 09:35:15 localhost kernel:     duplex mode:     full
Sep 20 09:35:15 localhost kernel:     flowctrl:        none
Sep 20 09:35:15 localhost kernel:     irq moderation:  disabled
Sep 20 09:35:15 localhost kernel:     scatter-gather:  enabled
Sep 20 09:35:15 localhost dhclient: DHCPACK from 10.82.224.1
Sep 20 09:35:15 localhost dhclient: bound to 69.255.xx.yy -- renewal in 167864
seconds.
Sep 20 09:35:15 localhost ifup:  done.
Sep 20 09:35:15 localhost network: Bringing up interface eth1:  succeeded
(~)
#
Comment 1 Jason Vas Dias 2005-09-21 12:05:10 EDT
This would appear to be service misconfiguration or a kernel issue.

The events of interest in the log are:

1. Networking initialized;

Sep 20 09:32:05 localhost rc.sysinit: -e 
Sep 20 09:32:44 localhost kernel: IP: routing cache hash table of 4096 buckets,
64Kbytes
Sep 20 09:32:10 localhost sysctl: net.ipv4.ip_forward = 1 
Sep 20 09:32:44 localhost kernel: TCP established hash table entries: 262144
(order: 10, 4194304 bytes)
Sep 20 09:32:10 localhost sysctl: net.ipv4.conf.default.rp_filter = 1 
Sep 20 09:32:44 localhost kernel: TCP bind hash table entries: 65536 (order: 7,
786432 bytes)
Sep 20 09:32:10 localhost sysctl: kernel.sysrq = 0 
Sep 20 09:32:44 localhost kernel: TCP: Hash tables configured (established
262144 bind 65536)
Sep 20 09:32:10 localhost sysctl: kernel.core_uses_pid = 1 
Sep 20 09:32:44 localhost kernel: Initializing IPsec netlink socket
Sep 20 09:32:10 localhost rc.sysinit: Configuring kernel parameters:  succeeded 
Sep 20 09:32:44 localhost kernel: NET: Registered protocol family 1
Sep 20 09:32:09 localhost date: Tue Sep 20 09:32:09 EDT 2005 
Sep 20 09:32:44 localhost kernel: NET: Registered protocol family 17
Sep 20 09:32:09 localhost rc.sysinit: Setting clock  (utc): Tue Sep 20 09:32:09
EDT 2005 succeeded 


Was the message "Registered protocol family 16" stripped from the log, or 
was it not there ? Without netlink registered, you will have severe networking
problems.


2. Ethernet modules loaded:

Sep 20 09:32:10 localhost init: Entering runlevel: 3 
Sep 20 09:32:45 localhost kernel: 8139too Fast Ethernet driver 0.9.27
Sep 20 09:32:11 localhost microcode_ctl: microcode_ctl startup succeeded 
Sep 20 09:32:46 localhost kernel: ACPI: PCI Interrupt 0000:02:0a.0[A] -> GSI 22
(level, low) -> IRQ 177
Sep 20 09:32:11 localhost readahead_early: Starting background readahead:  
Sep 20 09:32:46 localhost kernel: eth0: RealTek RTL8139 at 0xd400,
00:04:e2:08:44:74, IRQ 177
Sep 20 09:32:11 localhost rc: Starting readahead_early:  succeeded 
Sep 20 09:32:33 localhost scsi.agent[3016]: disk at
/devices/pci0000:00/0000:00:1d.7/usb1/1-4/1-4:1.0/host0/target0:0:0/0:0:0:0 
Sep 20 09:32:46 localhost kernel: ACPI: PCI Interrupt 0000:02:05.0[A] -> GSI 22
(level, low) -> IRQ 177
Sep 20 09:32:36 localhost kudzu:  succeeded 
Sep 20 09:32:46 localhost kernel: ACPI: PCI Interrupt 0000:02:05.0[A] -> GSI 22
(level, low) -> IRQ 177
Sep 20 09:32:36 localhost firewall: Starting firewall... 
Sep 20 09:32:46 localhost kernel: eth1: Yukon Gigabit Ethernet 10/100/1000Base-T
Adapter
Sep 20 09:32:37 localhost rc: Starting firewall:  succeeded


What is this "firewall" service ? 

There is no "firewall" initscript in FC-3 - use iptables / ip6tables .

It seems that on your system, the eth modules are initially loaded by the
"firewall" script, not by the ifup script, as they should be.

This could be the source of the problem. Try disabling this
service and see if the problem still occurs.

Then the network script runs the first time:

3.
Sep 20 09:32:46 localhost kernel:       PrefPort:A  RlmtMode:Check Link State
Sep 20 09:32:37 localhost sysctl: net.ipv4.ip_forward = 1 
Sep 20 09:32:46 localhost kernel: ACPI: PCI Interrupt 0000:02:0b.0[A] -> GSI 23
(level, low) -> IRQ 185
Sep 20 09:32:37 localhost sysctl: net.ipv4.conf.default.rp_filter = 1 
Sep 20 09:32:46 localhost kernel: hw_random: RNG not detected
Sep 20 09:32:37 localhost sysctl: kernel.sysrq = 0 
Sep 20 09:32:46 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.7[D] -> GSI 23
(level, low) -> IRQ 185
Sep 20 09:32:37 localhost sysctl: kernel.core_uses_pid = 1 
Sep 20 09:32:37 localhost network: Setting network parameters:  succeeded 
Sep 20 09:32:46 localhost kernel: ehci_hcd 0000:00:1d.7: EHCI Host Controller
Sep 20 09:32:37 localhost network: Bringing up loopback interface:  succeeded 
Sep 20 09:32:46 localhost kernel: ehci_hcd 0000:00:1d.7: debug port 1

Sep 20 09:32:39 localhost network: Bringing up interface eth0:  succeeded 

Sep 20 09:32:46 localhost kernel: ehci_hcd 0000:00:1d.7: BIOS handoff failed
(104, 1010001)
Sep 20 09:32:39 localhost ifup:  
Sep 20 09:32:46 localhost kernel: ehci_hcd 0000:00:1d.7: continuing after BIOS
bug...
Sep 20 09:32:39 localhost ifup: Determining IP information for eth1... 
Sep 20 09:32:47 localhost kernel: ehci_hcd 0000:00:1d.7: new USB bus registered,
assigned bus number 1
Sep 20 09:32:39 localhost dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67 
Sep 20 09:32:47 localhost kernel: ehci_hcd 0000:00:1d.7: irq 185, io mem 0xfebffc00
Sep 20 09:32:41 localhost dhclient: DHCPACK from 10.82.224.1 
Sep 20 09:32:41 localhost dhclient: bound to 69.255.xx.yy -- renewal in 159101
seconds. 
Sep 20 09:32:47 localhost kernel: ehci_hcd 0000:00:1d.7: USB 2.0 initialized,
EHCI 1.00, driver 10 Dec 2004
Sep 20 09:32:41 localhost ifup:  done. 

So dhclient succeeds, and the interfaces are brought up.

Sep 20 09:32:47 localhost kernel: hub 1-0:1.0: USB hub found
Sep 20 09:32:41 localhost network: Bringing up interface eth1:  succeeded 
Sep 20 09:32:47 localhost kernel: hub 1-0:1.0: 8 ports detected

5. named starts:

Sep 20 09:32:41 localhost named[3737]: starting BIND 9.2.5 -u named 
Sep 20 09:32:47 localhost kernel: USB Universal Host Controller Interface driver
v2.2
Sep 20 09:32:42 localhost named: named startup succeeded 



6. THEN iptables starts, and the kernel suddenly notices that eth1 and eth0 are UP:

Sep 20 09:32:48 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Sep 20 09:32:48 localhost kernel: ip_conntrack version 2.1 (8189 buckets, 65512
max) - 256 bytes per conntrack
Sep 20 09:32:48 localhost kernel: eth0: link up, 10Mbps, half-duplex, lpa 0x0000
Sep 20 09:32:48 localhost kernel: eth1: network connection up using port A
Sep 20 09:32:48 localhost kernel:     speed:           100
Sep 20 09:32:48 localhost kernel:     autonegotiation: yes
Sep 20 09:32:48 localhost kernel:     duplex mode:     full
Sep 20 09:32:48 localhost kernel:     flowctrl:        none
Sep 20 09:32:48 localhost kernel:     irq moderation:  disabled
Sep 20 09:32:48 localhost kernel:     scatter-gather:  enabled
Sep 20 09:32:48 localhost kernel: NET: Registered protocol family 10
Sep 20 09:32:48 localhost kernel: Disabled Privacy Extensions on device c0376e40(lo)
Sep 20 09:32:48 localhost kernel: IPv6 over IPv4 tunneling driver



7. THEN you do the second 'network restart', and all is OK:


Sep 20 09:35:11 localhost network: Disabling IPv4 packet forwarding:  succeeded
Sep 20 09:35:11 localhost sysctl: net.ipv4.ip_forward = 1
Sep 20 09:35:11 localhost sysctl: net.ipv4.conf.default.rp_filter = 1
Sep 20 09:35:11 localhost sysctl: kernel.sysrq = 0
Sep 20 09:35:11 localhost sysctl: kernel.core_uses_pid = 1
Sep 20 09:35:11 localhost network: Setting network parameters:  succeeded
Sep 20 09:35:11 localhost network: Bringing up loopback interface:  succeeded
Sep 20 09:35:11 localhost kernel: eth0: link up, 10Mbps, half-duplex, lpa 0x0000
Sep 20 09:35:13 localhost network: Bringing up interface eth0:  succeeded
Sep 20 09:35:13 localhost ifup: 
Sep 20 09:35:13 localhost ifup: Determining IP information for eth1...
Sep 20 09:35:13 localhost dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67
Sep 20 09:35:15 localhost kernel: eth1: network connection up using port A
Sep 20 09:35:15 localhost kernel:     speed:           100
Sep 20 09:35:15 localhost kernel:     autonegotiation: yes
Sep 20 09:35:15 localhost kernel:     duplex mode:     full
Sep 20 09:35:15 localhost kernel:     flowctrl:        none
Sep 20 09:35:15 localhost kernel:     irq moderation:  disabled
Sep 20 09:35:15 localhost kernel:     scatter-gather:  enabled
Sep 20 09:35:15 localhost dhclient: DHCPACK from 10.82.224.1
Sep 20 09:35:15 localhost dhclient: bound to 69.255.xx.yy -- renewal in 167864
seconds.
Sep 20 09:35:15 localhost ifup:  done.
Sep 20 09:35:15 localhost network: Bringing up interface eth1:  succeeded




It looks to me like this "firewall" service is screwing things up, and only when
its work is undone by the iptables service does your network come alive.

Try disabling the "firewall" service and see if that helps.
Comment 2 Ed Young 2005-09-21 20:32:56 EDT
In response to your comments I ran the following test:


1) I disabled firewall service: chkconfig --del firewall
2) I rebooted the box
3) I immediately logged in as root and using the script utility
   captured the session below.  I altered the session data as follows:
     - removed spelling corrections and punctuation (e.g. ^M)
     - deleted all of /var/log/messages EXCEPT the complete last boot log
       including all that happened after the boot up to the time 
       /var/log/messages was cat'ed
     - altered all references to my IP address
   Note:
     a) 'Registered protocol family 16' appears above where I cut the log
        in my initial notes.
     b) the session opened for ejy in the syslog is for starting 
        fetchmail in rc.local

   I have displayed the firewall script below so you can see what it does.


Unfortunately, as you will see, the problem has not gone away with the
disabling of the firewall service.


Script started on Wed 21 Sep 2005 07:50:27 PM EDT
[root@dad ~]# nslookup www.google.com
;; connection timed out; no servers could be reached

[root@dad ~]# nslookup www.google.com
;; connection timed out; no servers could be reached

[root@dad ~]# ftp ftp.redhat.com
ftp: ftp.redhat.com: Temporary failure in name resolution
ftp> quit
[root@dad ~]# service network restart
Shutting down interface eth0:  OK
Shutting down interface eth1:  OK
Shutting down loopback interface:  OK
Disabling IPv4 packet forwarding:  OK
Setting network parameters:  OK
Bringing up loopback interface:  OK
Bringing up interface eth0:  OK
Bringing up interface eth1:  OK
[root@dad ~]# ftp ftp.redhat.com
Trying 209.132.176.30...
Connected to ftp.redhat.com (209.132.176.30).
220 Red Hat FTP server ready. All transfers are logged. (FTP) [no EPSV]
Name (ftp.redhat.com:root): 
Login failed.
ftp> quit
221 Goodbye.
[root@dad ~]# cat /etc/init.d/firewall
#!/bin/bash
# firewall
#
# chkconfig: 2345 09 98
# description: Activates/Deactivates iptables based firewall at boot time.

# all network interfaces including localhost:
INTERFACES="lo eth0 eth1"
# interface to internet
INTERNET="eth1"
# interface to LAN
LAN_DEV="eth0"
LAN_ADDRS="192.168.0.0/24"
# iptables
IPTABLES=/sbin/iptables

function start {
  echo "Starting firewall..."
  #INPUT
  ${IPTABLES} -F INPUT
  ${IPTABLES} -P INPUT DROP
  # drop anything for lo not coming from lo
  ${IPTABLES} -A INPUT -p tcp -i ! lo --dst 127.0.0.0/8 -j DROP
  # INPUT ACCEPT
  # accept established and related packets which are a part of a known connection
  ${IPTABLES} -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT
  # accept everything from: LAN (eth0) and local host (lo)
  ${IPTABLES} -A INPUT -i lo -j ACCEPT
  ${IPTABLES} -A INPUT -i ${LAN_DEV} -j ACCEPT
  # accept icmp type 0,3,11
  ${IPTABLES} -A INPUT -p icmp -m icmp --icmp-type 3 -i ${INTERNET} -j ACCEPT 
  ${IPTABLES} -A INPUT -p icmp -m icmp --icmp-type 0 -i ${INTERNET} -j ACCEPT 
  ${IPTABLES} -A INPUT -p icmp -m icmp --icmp-type 11 -i ${INTERNET} -j ACCEPT 
  # accept ssh from 20.x.x.x
  ${IPTABLES} -A INPUT -p tcp --dport ssh --src 20.0.0.0/8 -m state --state NEW
-j ACCEPT
  # INPUT LOG
  ${IPTABLES} -A INPUT -p tcp --dport 21 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p tcp --dport 22 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p tcp --dport 23 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p tcp --dport 79 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p tcp --dport 98 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p tcp --dport 110 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p tcp --dport 111 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p tcp --dport 143 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p tcp --dport 512 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p tcp --dport 513 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p tcp --dport 8080 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p tcp --dport 8021 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p tcp --dport 8088 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  ${IPTABLES} -A INPUT -p udp --dport 31337 -m state --state NEW,INVALID -j LOG
--log-prefix audit
  # INPUT DROP
  # don't allow LAN address to come in from the internet
  ${IPTABLES} -A INPUT --dst ${LAN_ADDRS} -i ${INTERNET} -j DROP 
  ${IPTABLES} -A INPUT --src ${LAN_ADDRS} -i ${INTERNET} -j DROP 
  # ???????
  ${IPTABLES} -A INPUT --src 224.0.0.0/240.0.0.0 -j DROP 
  # INPUT REJECT
  # render this host invisible from ${INTERNET}
  ${IPTABLES} -A INPUT -p tcp -i ${INTERNET} -j REJECT --reject-with tcp-reset
  ${IPTABLES} -A INPUT -p udp -i ${INTERNET} -j REJECT --reject-with
icmp-port-unreachable
  ${IPTABLES} -A INPUT -p icmp -i ${INTERNET} -j DROP 
  ${IPTABLES} -A INPUT -j DROP 
  
  # explicitly disable ECN
  #if [ -e /proc/sys/net/ipv4/tcp_ecn ]
  #then
  #  echo 0 > /proc/sys/net/ipv4/tcp_ecn
  #fi
  
  # set up IP masquerading
  ${IPTABLES} -t nat -A POSTROUTING -o ${INTERNET} -j MASQUERADE

  #FORWARD
  ${IPTABLES} -F FORWARD
  ${IPTABLES} -P FORWARD DROP
  # accept established and related packets which are a part of a known connection
  ${IPTABLES} -A FORWARD -m state --state ESTABLISHED,RELATED -j ACCEPT
  # drop NETBIOS
  ${IPTABLES} -A FORWARD -p tcp -i ${LAN_DEV} --src ${LAN_ADDRS} --dst
0.0.0.255/0.0.0.255 --dport 137:139 -j DROP
  ${IPTABLES} -A FORWARD -p udp -i ${LAN_DEV} --src ${LAN_ADDRS} --dst
0.0.0.255/0.0.0.255 --dport 137:139 -j DROP
  # forward all other packets from LAN
  ${IPTABLES} -A FORWARD  -i ${LAN_DEV} --src ${LAN_ADDRS} -j ACCEPT

  #OUTPUT
  ${IPTABLES} -F OUTPUT
  ${IPTABLES} -P OUTPUT ACCEPT
  ${IPTABLES} -A OUTPUT -m state -p icmp --state INVALID -j DROP
  ${IPTABLES} -A OUTPUT -p icmp -m icmp --icmp-type 3 -j REJECT --reject-with
icmp-port-unreachable 
  ${IPTABLES} -A OUTPUT -p icmp -m icmp --icmp-type 11 -j REJECT --reject-with
icmp-port-unreachable 
  # accept all output from everywhere
  ${IPTABLES} -A OUTPUT -j ACCEPT
}

function stop {
  echo "Stopping firewall..."
  ${IPTABLES} -F INPUT
  ${IPTABLES} -P INPUT ACCEPT
  #turn off masquerading
  ${IPTABLES} -t nat -F POSTROUTING
  ${IPTABLES} -F FORWARD
  ${IPTABLES} -P FORWARD ACCEPT
  ${IPTABLES} -F OUTPUT
  ${IPTABLES} -P OUTPUT ACCEPT
}

if [ "$1" = "start" ]
then
  start
elif [ "$1" = "stop" ]
then
  stop
elif [ "$1" = "restart" ]
then
  stop
  start
elif [ "$1" = "status" ]
then
  ${IPTABLES} -nvL | perl -ne 's/^(.{0,185}).*/$1/;print'
else
  echo "usage: firewall start|stop|restart|status"
fi

exit 0
[root@dad ~]# service firewall start
Starting firewall...
[root@dad ~]# service firewall status
Chain INPUT (policy DROP 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination
        
    0     0 DROP       tcp  --  !lo    *       0.0.0.0/0            127.0.0.0/8
        
    0     0 ACCEPT     all  --  *      *       0.0.0.0/0            0.0.0.0/0  
        state RELATED,ESTABLISHED 
    0     0 ACCEPT     all  --  lo     *       0.0.0.0/0            0.0.0.0/0  
        
    1   166 ACCEPT     all  --  eth0   *       0.0.0.0/0            0.0.0.0/0  
        
    0     0 ACCEPT     icmp --  eth1   *       0.0.0.0/0            0.0.0.0/0  
        icmp type 3 
    0     0 ACCEPT     icmp --  eth1   *       0.0.0.0/0            0.0.0.0/0  
        icmp type 0 
    0     0 ACCEPT     icmp --  eth1   *       0.0.0.0/0            0.0.0.0/0  
        icmp type 11 
    0     0 ACCEPT     tcp  --  *      *       20.0.0.0/8           0.0.0.0/0  
        tcp dpt:22 state NEW 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:21 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:22 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:23 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:79 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:98 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:110 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:111 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:143 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:512 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:513 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:8080 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:8021 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        tcp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        tcp dpt:8088 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 LOG        udp  --  *      *       0.0.0.0/0            0.0.0.0/0  
        udp dpt:31337 state INVALID,NEW LOG flags 0 level 4 prefix `audit' 
    0     0 DROP       all  --  eth1   *       0.0.0.0/0           
192.168.0.0/24      
    0     0 DROP       all  --  eth1   *       192.168.0.0/24       0.0.0.0/0  
        
    0     0 DROP       all  --  *      *       224.0.0.0/4          0.0.0.0/0  
        
    0     0 REJECT     tcp  --  eth1   *       0.0.0.0/0            0.0.0.0/0  
        reject-with tcp-reset 
    0     0 REJECT     udp  --  eth1   *       0.0.0.0/0            0.0.0.0/0  
        reject-with icmp-port-unreachable 
    0     0 DROP       icmp --  eth1   *       0.0.0.0/0            0.0.0.0/0  
        
    0     0 DROP       all  --  *      *       0.0.0.0/0            0.0.0.0/0  
        

Chain FORWARD (policy DROP 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination
        
    0     0 ACCEPT     all  --  *      *       0.0.0.0/0            0.0.0.0/0  
        state RELATED,ESTABLISHED 
    0     0 DROP       tcp  --  eth0   *       192.168.0.0/24      
0.0.0.255/0.0.0.255 tcp dpts:137:139 
    0     0 DROP       udp  --  eth0   *       192.168.0.0/24      
0.0.0.255/0.0.0.255 udp dpts:137:139 
    0     0 ACCEPT     all  --  eth0   *       192.168.0.0/24       0.0.0.0/0  
        

Chain OUTPUT (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination
        
    0     0 DROP       icmp --  *      *       0.0.0.0/0            0.0.0.0/0  
        state INVALID 
    0     0 REJECT     icmp --  *      *       0.0.0.0/0            0.0.0.0/0  
        icmp type 3 reject-with icmp-port-unreachable 
    0     0 REJECT     icmp --  *      *       0.0.0.0/0            0.0.0.0/0  
        icmp type 11 reject-with icmp-port-unreachable 
    1   166 ACCEPT     all  --  *      *       0.0.0.0/0            0.0.0.0/0  
        
[root@dad ~]# cat /var/log/messages
Sep 21 19:48:18 localhost exiting on signal 15
Sep 21 19:49:52 localhost syslogd 1.4.1: restart.
Sep 21 19:49:52 localhost syslog: syslogd startup succeeded
Sep 21 19:49:52 localhost kernel: klogd 1.4.1, log source = /proc/kmsg started.
Sep 21 19:49:52 localhost kernel: Linux version 2.6.12-1.1376_FC3smp
(bhcompile@tweety.build.redhat.com) (gcc version 3.4.4 20050721 (Red Hat
3.4.4-2)) #1 SMP Fri Aug 26 23:50:33 EDT 2005
Sep 21 19:49:52 localhost kernel: BIOS-provided physical RAM map:
Sep 21 19:49:52 localhost kernel:  BIOS-e820: 0000000000000000 -
000000000009fc00 (usable)
Sep 21 19:49:52 localhost kernel:  BIOS-e820: 000000000009fc00 -
00000000000a0000 (reserved)
Sep 21 19:49:52 localhost kernel:  BIOS-e820: 00000000000e8000 -
0000000000100000 (reserved)
Sep 21 19:49:52 localhost kernel:  BIOS-e820: 0000000000100000 -
000000003ffb0000 (usable)
Sep 21 19:49:52 localhost kernel:  BIOS-e820: 000000003ffb0000 -
000000003ffc0000 (ACPI data)
Sep 21 19:49:52 localhost kernel:  BIOS-e820: 000000003ffc0000 -
000000003fff0000 (ACPI NVS)
Sep 21 19:49:52 localhost kernel:  BIOS-e820: 000000003fff0000 -
0000000040000000 (reserved)
Sep 21 19:49:52 localhost kernel:  BIOS-e820: 00000000ffb80000 -
0000000100000000 (reserved)
Sep 21 19:49:52 localhost kernel: 127MB HIGHMEM available.
Sep 21 19:49:52 localhost syslog: klogd startup succeeded
Sep 21 19:49:52 localhost kernel: 896MB LOWMEM available.
Sep 21 19:49:52 localhost kernel: found SMP MP-table at 000ff780
Sep 21 19:49:52 localhost kernel: Using x86 segment limits to approximate NX
protection
Sep 21 19:49:52 localhost kernel: DMI 2.3 present.
Sep 21 19:49:52 localhost kernel: Using APIC driver default
Sep 21 19:49:52 localhost irqbalance: irqbalance startup succeeded
Sep 21 19:49:52 localhost kernel: ACPI: PM-Timer IO Port: 0x808
Sep 21 19:49:52 localhost kernel: ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Sep 21 19:49:52 localhost kernel: Processor #0 15:3 APIC version 20
Sep 21 19:49:52 localhost kernel: ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Sep 21 19:49:52 localhost kernel: Processor #1 15:3 APIC version 20
Sep 21 19:49:52 localhost kernel: ACPI: IOAPIC (id[0x02] address[0xfec00000]
gsi_base[0])
Sep 21 19:49:52 localhost kernel: IOAPIC[0]: apic_id 2, version 32, address
0xfec00000, GSI 0-23
Sep 21 19:49:52 localhost kernel: ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq
2 dfl dfl)
Sep 21 19:49:52 localhost kernel: ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq
9 high level)
Sep 21 19:49:52 localhost kernel: Enabling APIC mode:  Flat.  Using 1 I/O APICs
Sep 21 19:49:52 localhost kernel: Using ACPI (MADT) for SMP configuration
information
Sep 21 19:49:52 localhost kernel: Allocating PCI resources starting at 40000000
(gap: 40000000:bfb80000)
Sep 21 19:49:52 localhost kernel: Built 1 zonelists
Sep 21 19:49:52 localhost kernel: Kernel command line: ro root=LABEL=/ rhgb
quiet vga=792
Sep 21 19:49:52 localhost kernel: Initializing CPU#0
Sep 21 19:49:52 localhost kernel: CPU 0 irqstacks, hard=c0423000 soft=c0403000
Sep 21 19:49:52 localhost kernel: PID hash table entries: 4096 (order: 12, 65536
bytes)
Sep 21 19:49:52 localhost kernel: Detected 3007.623 MHz processor.
Sep 21 19:49:52 localhost kernel: Using pmtmr for high-res timesource
Sep 21 19:49:52 localhost kernel: Console: colour dummy device 80x25
Sep 21 19:49:52 localhost kernel: Dentry cache hash table entries: 131072
(order: 7, 524288 bytes)
Sep 21 19:49:52 localhost kernel: Inode-cache hash table entries: 65536 (order:
6, 262144 bytes)
Sep 21 19:49:52 localhost kernel: Memory: 1033188k/1048256k available (2057k
kernel code, 14188k reserved, 768k data, 232k init, 130752k highmem)
Sep 21 19:49:52 localhost kernel: Checking if this processor honours the WP bit
even in supervisor mode... Ok.
Sep 21 19:49:52 localhost kernel: Security Framework v1.0.0 initialized
Sep 21 19:49:52 localhost kernel: SELinux:  Initializing.
Sep 21 19:49:52 localhost kernel: SELinux:  Starting in permissive mode
Sep 21 19:49:52 localhost kernel: selinux_register_security:  Registering
secondary module capability
Sep 21 19:49:52 localhost kernel: Capability LSM initialized as secondary
Sep 21 19:49:52 localhost portmap: portmap startup succeeded
Sep 21 19:49:52 localhost kernel: Mount-cache hash table entries: 512
Sep 21 19:49:52 localhost kernel: monitor/mwait feature present.
Sep 21 19:49:52 localhost kernel: using mwait in idle threads.
Sep 21 19:49:52 localhost kernel: CPU: Trace cache: 12K uops, L1 D cache: 16K
Sep 21 19:49:52 localhost kernel: CPU: L2 cache: 1024K
Sep 21 19:49:52 localhost kernel: CPU: Physical Processor ID: 0
Sep 21 19:49:52 localhost kernel: Intel machine check architecture supported.
Sep 21 19:49:52 localhost kernel: Intel machine check reporting enabled on CPU#0.
Sep 21 19:49:52 localhost kernel: CPU0: Intel P4/Xeon Extended MCE MSRs (12)
available
Sep 21 19:49:52 localhost kernel: CPU0: Thermal monitoring enabled
Sep 21 19:49:52 localhost kernel: Enabling fast FPU save and restore... done.
Sep 21 19:49:52 localhost kernel: Enabling unmasked SIMD FPU exception
support... done.
Sep 21 19:49:52 localhost kernel: Checking 'hlt' instruction... OK.
Sep 21 19:49:52 localhost kernel: CPU0: Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping 03
Sep 21 19:49:52 localhost kernel: Booting processor 1/1 eip 3000
Sep 21 19:49:52 localhost kernel: CPU 1 irqstacks, hard=c0424000 soft=c0404000
Sep 21 19:49:52 localhost kernel: Initializing CPU#1
Sep 21 19:49:52 localhost netfs: Mounting other filesystems:  succeeded
Sep 21 19:49:52 localhost kernel: monitor/mwait feature present.
Sep 21 19:49:52 localhost kernel: CPU: Trace cache: 12K uops, L1 D cache: 16K
Sep 21 19:49:52 localhost kernel: CPU: L2 cache: 1024K
Sep 21 19:49:52 localhost kernel: CPU: Physical Processor ID: 0
Sep 21 19:49:52 localhost kernel: Intel machine check architecture supported.
Sep 21 19:49:52 localhost kernel: Intel machine check reporting enabled on CPU#1.
Sep 21 19:49:52 localhost kernel: CPU1: Intel P4/Xeon Extended MCE MSRs (12)
available
Sep 21 19:49:52 localhost kernel: CPU1: Thermal monitoring enabled
Sep 21 19:49:52 localhost kernel: CPU1: Intel(R) Pentium(R) 4 CPU 3.00GHz
stepping 03
Sep 21 19:49:52 localhost kernel: Total of 2 processors activated (11960.32
BogoMIPS).
Sep 21 19:49:52 localhost kernel: ENABLING IO-APIC IRQs
Sep 21 19:49:52 localhost kernel: ..TIMER: vector=0x31 pin1=2 pin2=-1
Sep 21 19:49:52 localhost kernel: checking TSC synchronization across 2 CPUs:
passed.
Sep 21 19:49:52 localhost kernel: Brought up 2 CPUs
Sep 21 19:49:53 localhost kernel: checking if image is initramfs... it is
Sep 21 19:49:53 localhost kernel: Freeing initrd memory: 388k freed
Sep 21 19:49:53 localhost kernel: NET: Registered protocol family 16
Sep 21 19:49:53 localhost kernel: ACPI: bus type pci registered
Sep 21 19:49:53 localhost kernel: PCI: PCI BIOS revision 2.10 entry at 0xf0031,
last bus=2
Sep 21 19:49:53 localhost kernel: PCI: Using configuration type 1
Sep 21 19:49:53 localhost kernel: mtrr: v2.0 (20020519)
Sep 21 19:49:53 localhost kernel: ACPI: Subsystem revision 20050729
Sep 21 19:49:53 localhost kernel: ACPI: Interpreter enabled
Sep 21 19:49:53 localhost kernel: ACPI: Using IOAPIC for interrupt routing
Sep 21 19:49:53 localhost kernel: ACPI: PCI Root Bridge [PCI0] (0000:00)
Sep 21 19:49:53 localhost kernel: PCI: Probing PCI hardware (bus 00)
Sep 21 19:49:53 localhost kernel: ACPI: Assume root bridge [\_SB_.PCI0] segment is 0
Sep 21 19:49:53 localhost kernel: PCI: Ignoring BAR0-3 of IDE controller
0000:00:1f.1
Sep 21 19:49:53 localhost autofs: automount startup succeeded
Sep 21 19:49:53 localhost kernel: PCI: Transparent bridge - 0000:00:1e.0
Sep 21 19:49:53 localhost kernel: ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6
7 *10 11 12 14 15)
Sep 21 19:49:53 localhost kernel: ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6
7 *10 11 12 14 15)
Sep 21 19:49:53 localhost kernel: ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 *5 6
7 10 11 12 14 15)
Sep 21 19:49:53 localhost kernel: ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 *5 6
7 10 11 12 14 15)
Sep 21 19:49:53 localhost kernel: ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 *5 6
7 10 11 12 14 15)
Sep 21 19:49:53 localhost kernel: ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6
7 10 11 12 14 15) *0, disabled.
Sep 21 19:49:53 localhost kernel: ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 *5 6
7 10 11 12 14 15)
Sep 21 19:49:53 localhost kernel: ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6
7 10 *11 12 14 15)
Sep 21 19:49:53 localhost kernel: Linux Plug and Play Support v0.97 (c) Adam Belay
Sep 21 19:49:53 localhost kernel: pnp: PnP ACPI init
Sep 21 19:49:53 localhost kernel: pnp: PnP ACPI: found 14 devices
Sep 21 19:49:53 localhost kernel: usbcore: registered new driver usbfs
Sep 21 19:49:53 localhost kernel: usbcore: registered new driver hub
Sep 21 19:49:53 localhost kernel: PCI: Using ACPI for IRQ routing
Sep 21 19:49:53 localhost kernel: PCI: If a device doesn't work, try
"pci=routeirq".  If it helps, post a report
Sep 21 19:49:53 localhost kernel: pnp: 00:0a: ioport range 0x680-0x6ff has been
reserved
Sep 21 19:49:53 localhost kernel: pnp: 00:0a: ioport range 0x290-0x297 has been
reserved
Sep 21 19:49:53 localhost kernel: apm: BIOS version 1.2 Flags 0x03 (Driver
version 1.16ac)
Sep 21 19:49:53 localhost kernel: apm: disabled - APM is not SMP safe.
Sep 21 19:49:53 localhost kernel: audit: initializing netlink socket (disabled)
Sep 21 19:49:53 localhost kernel: audit(1127346538.484:1): initialized
Sep 21 19:49:53 localhost kernel: highmem bounce pool size: 64 pages
Sep 21 19:49:53 localhost kernel: Total HugeTLB memory allocated, 0
Sep 21 19:49:53 localhost kernel: VFS: Disk quotas dquot_6.5.1
Sep 21 19:49:53 localhost kernel: Dquot-cache hash table entries: 1024 (order 0,
4096 bytes)
Sep 21 19:49:53 localhost kernel: SELinux:  Registering netfilter hooks
Sep 21 19:49:53 localhost kernel: Initializing Cryptographic API
Sep 21 19:49:53 localhost kernel: ksign: Installing public key data
Sep 21 19:49:53 localhost kernel: Loading keyring
Sep 21 19:49:53 localhost kernel: - Added public key ACD1A80A1D789A78
Sep 21 19:49:53 localhost kernel: - User ID: Red Hat, Inc. (Kernel Module GPG key)
Sep 21 19:49:53 localhost kernel: pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Sep 21 19:49:53 localhost kernel: vesafb: framebuffer at 0xe0000000, mapped to
0xf8880000, using 6144k, total 262144k
Sep 21 19:49:53 localhost kernel: vesafb: mode is 1024x768x32, linelength=4096,
pages=1
Sep 21 19:49:53 localhost kernel: vesafb: protected mode interface info at c000:e2e0
Sep 21 19:49:53 localhost kernel: vesafb: scrolling: redraw
Sep 21 19:49:53 localhost mDNSResponder:  startup succeeded
Sep 21 19:49:53 localhost kernel: vesafb: Truecolor: size=8:8:8:8, shift=24:16:8:0
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,10000000 old:
write-back new: write-combining
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,8000000 old:
write-back new: write-combining
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,4000000 old:
write-back new: write-combining
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,2000000 old:
write-back new: write-combining
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,1000000 old:
write-back new: write-combining
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,800000 old:
write-back new: write-combining
Sep 21 19:49:53 localhost smartd[3979]: smartd version 5.33
[i386-redhat-linux-gnu] Copyright (C) 2002-4 Bruce Allen 
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,400000 old:
write-back new: write-combining
Sep 21 19:49:53 localhost smartd[3979]: Home page is
http://smartmontools.sourceforge.net/  
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,200000 old:
write-back new: write-combining
Sep 21 19:49:53 localhost smartd[3979]: Opened configuration file /etc/smartd.conf 
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,100000 old:
write-back new: write-combining
Sep 21 19:49:53 localhost smartd[3979]: Configuration file /etc/smartd.conf parsed. 
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,80000 old:
write-back new: write-combining
Sep 21 19:49:53 localhost smartd[3979]: Device: /dev/hda, opened 
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,40000 old:
write-back new: write-combining
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,20000 old:
write-back new: write-combining
Sep 21 19:49:53 localhost smartd[3979]: Device: /dev/hda, found in smartd database. 
Sep 21 19:49:53 localhost kernel: mtrr: type mismatch for e0000000,10000 old:
write-back new: write-combining
Sep 21 19:49:54 localhost kernel: mtrr: type mismatch for e0000000,8000 old:
write-back new: write-combining
Sep 21 19:49:54 localhost smartd[3979]: Device: /dev/hda, is SMART capable.
Adding to "monitor" list. 
Sep 21 19:49:54 localhost kernel: mtrr: type mismatch for e0000000,4000 old:
write-back new: write-combining
Sep 21 19:49:54 localhost smartd[3979]: Monitoring 1 ATA and 0 SCSI devices 
Sep 21 19:49:54 localhost kernel: mtrr: type mismatch for e0000000,2000 old:
write-back new: write-combining
Sep 21 19:49:54 localhost smartd[3981]: smartd has fork()ed into background
mode. New PID=3981. 
Sep 21 19:49:54 localhost smartd: smartd startup succeeded
Sep 21 19:49:54 localhost kernel: mtrr: type mismatch for e0000000,1000 old:
write-back new: write-combining
Sep 21 19:49:54 localhost kernel: mtrr: size and base must be multiples of 4 kiB
Sep 21 19:49:54 localhost acpid: acpid startup succeeded
Sep 21 19:49:54 localhost kernel: mtrr: size and base must be multiples of 4 kiB
Sep 21 19:49:54 localhost last message repeated 10 times
Sep 21 19:49:54 localhost kernel: Console: switching to colour frame buffer
device 128x48
Sep 21 19:49:54 localhost kernel: fb0: VESA VGA frame buffer device
Sep 21 19:49:54 localhost kernel: ACPI: CPU0 (power states: C1[C1])
Sep 21 19:49:54 localhost kernel: ACPI: CPU1 (power states: C1[C1])
Sep 21 19:49:54 localhost kernel: isapnp: Scanning for PnP cards...
Sep 21 19:49:54 localhost kernel: isapnp: No Plug & Play device found
Sep 21 19:49:54 localhost kernel: Real Time Clock Driver v1.12
Sep 21 19:49:54 localhost kernel: Linux agpgart interface v0.101 (c) Dave Jones
Sep 21 19:49:54 localhost kernel: agpgart: Detected an Intel 865 Chipset.
Sep 21 19:49:54 localhost kernel: agpgart: AGP aperture is 64M @ 0xf8000000
Sep 21 19:49:54 localhost kernel: PNP: PS/2 Controller
[PNP0303:PS2K,PNP0f03:PS2M] at 0x60,0x64 irq 1,12
Sep 21 19:49:54 localhost kernel: serio: i8042 AUX port at 0x60,0x64 irq 12
Sep 21 19:49:54 localhost kernel: serio: i8042 KBD port at 0x60,0x64 irq 1
Sep 21 19:49:54 localhost kernel: Serial: 8250/16550 driver $Revision: 1.90 $ 76
ports, IRQ sharing enabled
Sep 21 19:49:54 localhost dovecot: dovecot startup succeeded
Sep 21 19:49:54 localhost kernel: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
Sep 21 19:49:54 localhost kernel: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
Sep 21 19:49:54 localhost kernel: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
Sep 21 19:49:54 localhost kernel: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
Sep 21 19:49:54 localhost kernel: io scheduler noop registered
Sep 21 19:49:54 localhost kernel: io scheduler anticipatory registered
Sep 21 19:49:54 localhost kernel: io scheduler deadline registered
Sep 21 19:49:54 localhost kernel: io scheduler cfq registered
Sep 21 19:49:54 localhost kernel: RAMDISK driver initialized: 16 RAM disks of
16384K size 1024 blocksize
Sep 21 19:49:54 localhost kernel: Uniform Multi-Platform E-IDE driver Revision:
7.00alpha2
Sep 21 19:49:54 localhost kernel: ide: Assuming 33MHz system bus speed for PIO
modes; override with idebus=xx
Sep 21 19:49:04 localhost rc.sysinit: -e 
Sep 21 19:49:54 localhost kernel: ICH5: IDE controller at PCI slot 0000:00:1f.1
Sep 21 19:49:06 localhost start_udev: Starting udev:  succeeded 
Sep 21 19:49:55 localhost kernel: PCI: Enabling device 0000:00:1f.1 (0005 -> 0007)
Sep 21 19:49:08 localhost udevsend[1428]: starting udevd daemon 
Sep 21 19:49:55 localhost kernel: ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 18
(level, low) -> IRQ 169
Sep 21 19:49:17 localhost rc.sysinit: -e 
Sep 21 19:49:55 localhost kernel: ICH5: chipset revision 2
Sep 21 19:49:20 localhost sysctl: net.ipv4.ip_forward = 1 
Sep 21 19:49:55 localhost kernel: ICH5: not 100% native mode: will probe irqs later
Sep 21 19:49:20 localhost sysctl: net.ipv4.conf.default.rp_filter = 1 
Sep 21 19:49:55 localhost kernel:     ide0: BM-DMA at 0xfc00-0xfc07, BIOS
settings: hda:DMA, hdb:pio
Sep 21 19:49:20 localhost sysctl: kernel.sysrq = 0 
Sep 21 19:49:55 localhost kernel:     ide1: BM-DMA at 0xfc08-0xfc0f, BIOS
settings: hdc:DMA, hdd:DMA
Sep 21 19:49:20 localhost sysctl: kernel.core_uses_pid = 1 
Sep 21 19:49:20 localhost rc.sysinit: Configuring kernel parameters:  succeeded 
Sep 21 19:49:55 localhost kernel: hda: SAMSUNG SP1203N, ATA DISK drive
Sep 21 19:49:20 localhost date: Wed Sep 21 19:49:20 EDT 2005 
Sep 21 19:49:55 localhost kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Sep 21 19:49:20 localhost rc.sysinit: Setting clock  (utc): Wed Sep 21 19:49:20
EDT 2005 succeeded 
Sep 21 19:49:20 localhost rc.sysinit: Loading default keymap succeeded 
Sep 21 19:49:55 localhost kernel: hdc: HL-DT-STDVD-ROM GDR8162B, ATAPI
CD/DVD-ROM drive
Sep 21 19:49:20 localhost rc.sysinit: Setting hostname dad:  succeeded 
Sep 21 19:49:55 localhost kernel: hdd: HL-DT-ST GCE-8526B, ATAPI CD/DVD-ROM drive
Sep 21 19:49:20 localhost fsck: /: clean, 221007/14516224 files,
6678289/29015398 blocks 
Sep 21 19:49:55 localhost kernel: ide1 at 0x170-0x177,0x376 on irq 15
Sep 21 19:49:20 localhost rc.sysinit: Checking root filesystem succeeded 
Sep 21 19:49:55 localhost kernel: hda: max request size: 1024KiB
Sep 21 19:49:20 localhost rc.sysinit: Remounting root filesystem in read-write
mode:  succeeded 
Sep 21 19:49:55 localhost kernel: hda: 234493056 sectors (120060 MB) w/2048KiB
Cache, CHS=16383/255/63, UDMA(100)
Sep 21 19:49:20 localhost lvm.static:   No volume groups found 
Sep 21 19:49:55 localhost kernel: hda: cache flushes supported
Sep 21 19:49:20 localhost rc.sysinit: Setting up Logical Volume Management:
succeeded 
Sep 21 19:49:55 localhost kernel:  hda: hda1 hda2 hda3
Sep 21 19:49:20 localhost fsck: /boot: clean, 32/32128 files, 11165/128488 blocks 
Sep 21 19:49:55 localhost kernel: hdc: ATAPI 48X DVD-ROM drive, 256kB Cache,
UDMA(33)
Sep 21 19:49:20 localhost rc.sysinit: Checking filesystems succeeded 
Sep 21 19:49:55 localhost kernel: Uniform CD-ROM driver Revision: 3.20
Sep 21 19:49:20 localhost rc.sysinit: Mounting local filesystems:  succeeded 
Sep 21 19:49:55 localhost kernel: hdd: ATAPI 52X CD-ROM CD-R/RW drive, 2048kB
Cache, UDMA(33)
Sep 21 19:49:21 localhost rc.sysinit: Enabling local filesystem quotas:  succeeded 
Sep 21 19:49:56 localhost kernel: ide-floppy driver 0.99.newide
Sep 21 19:49:21 localhost rc.sysinit: Enabling swap space:  succeeded 
Sep 21 19:49:56 localhost kernel: usbcore: registered new driver hiddev
Sep 21 19:49:21 localhost init: Entering runlevel: 3 
Sep 21 19:49:56 localhost kernel: usbcore: registered new driver usbhid
Sep 21 19:49:22 localhost microcode_ctl: microcode_ctl startup succeeded 
Sep 21 19:49:56 localhost kernel: drivers/usb/input/hid-core.c: v2.01:USB HID
core driver
Sep 21 19:49:22 localhost readahead_early: Starting background readahead:  
Sep 21 19:49:56 localhost kernel: mice: PS/2 mouse device common for all mice
Sep 21 19:49:22 localhost rc: Starting readahead_early:  succeeded 
Sep 21 19:49:56 localhost kernel: md: md driver 0.90.1 MAX_MD_DEVS=256,
MD_SB_DISKS=27
Sep 21 19:49:44 localhost scsi.agent[3015]: disk at
/devices/pci0000:00/0000:00:1d.7/usb1/1-4/1-4:1.0/host0/target0:0:0/0:0:0:0 
Sep 21 19:49:56 localhost kernel: NET: Registered protocol family 2
Sep 21 19:49:47 localhost kudzu:  succeeded 
Sep 21 19:49:56 localhost kernel: IP: routing cache hash table of 4096 buckets,
64Kbytes
Sep 21 19:49:47 localhost sysctl: net.ipv4.ip_forward = 1 
Sep 21 19:49:56 localhost kernel: TCP established hash table entries: 262144
(order: 10, 4194304 bytes)
Sep 21 19:49:47 localhost sysctl: net.ipv4.conf.default.rp_filter = 1 
Sep 21 19:49:56 localhost kernel: TCP bind hash table entries: 65536 (order: 7,
786432 bytes)
Sep 21 19:49:47 localhost sysctl: kernel.sysrq = 0 
Sep 21 19:49:56 localhost kernel: TCP: Hash tables configured (established
262144 bind 65536)
Sep 21 19:49:47 localhost sysctl: kernel.core_uses_pid = 1 
Sep 21 19:49:56 localhost kernel: Initializing IPsec netlink socket
Sep 21 19:49:47 localhost network: Setting network parameters:  succeeded 
Sep 21 19:49:57 localhost kernel: NET: Registered protocol family 1
Sep 21 19:49:47 localhost network: Bringing up loopback interface:  succeeded 
Sep 21 19:49:57 localhost kernel: NET: Registered protocol family 17
Sep 21 19:49:49 localhost network: Bringing up interface eth0:  succeeded 
Sep 21 19:49:57 localhost kernel: ACPI wakeup devices: 
Sep 21 19:49:49 localhost ifup:  
Sep 21 19:49:57 localhost kernel: P0P4 MC97 USB1 USB2 USB3 USB4 EUSB PS2K PS2M ILAN 
Sep 21 19:49:49 localhost ifup: Determining IP information for eth1... 
Sep 21 19:49:57 localhost kernel: ACPI: (supports S0 S1 S3 S4 S5)
Sep 21 19:49:49 localhost dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67 
Sep 21 19:49:57 localhost kernel: Freeing unused kernel memory: 232k freed
Sep 21 19:49:51 localhost dhclient: DHCPACK from 10.82.224.1 
Sep 21 19:49:57 localhost kernel: input: AT Translated Set 2 keyboard on
isa0060/serio0
Sep 21 19:49:51 localhost dhclient: bound to 69.255.xx.yy -- renewal in 99561
seconds. 
Sep 21 19:49:57 localhost kernel: kjournald starting.  Commit interval 5 seconds
Sep 21 19:49:51 localhost ifup:  done. 
Sep 21 19:49:57 localhost kernel: EXT3-fs: mounted filesystem with ordered data
mode.
Sep 21 19:49:51 localhost network: Bringing up interface eth1:  succeeded 
Sep 21 19:49:57 localhost kernel: logips2pp: Detected unknown logitech mouse
model 85
Sep 21 19:49:52 localhost named[3702]: starting BIND 9.2.5 -u named 
Sep 21 19:49:57 localhost kernel: input: ImPS/2 Logitech Wheel Mouse on
isa0060/serio1
Sep 21 19:49:52 localhost named: named startup succeeded 
Sep 21 19:49:57 localhost kernel: SELinux:  Disabled at runtime.
Sep 21 19:49:57 localhost kernel: SELinux:  Unregistering netfilter hooks
Sep 21 19:49:57 localhost kernel: Floppy drive(s): fd0 is 1.44M
Sep 21 19:49:57 localhost kernel: FDC 0 is a post-1991 82077
Sep 21 19:49:57 localhost kernel: 8139too Fast Ethernet driver 0.9.27
Sep 21 19:49:57 localhost kernel: ACPI: PCI Interrupt 0000:02:0a.0[A] -> GSI 22
(level, low) -> IRQ 177
Sep 21 19:49:57 localhost kernel: eth0: RealTek RTL8139 at 0xd400,
00:04:e2:08:44:74, IRQ 177
Sep 21 19:49:57 localhost kernel: ACPI: PCI Interrupt 0000:02:05.0[A] -> GSI 22
(level, low) -> IRQ 177
Sep 21 19:49:57 localhost kernel: ACPI: PCI Interrupt 0000:02:05.0[A] -> GSI 22
(level, low) -> IRQ 177
Sep 21 19:49:57 localhost kernel: eth1: Yukon Gigabit Ethernet 10/100/1000Base-T
Adapter
Sep 21 19:49:57 localhost kernel:       PrefPort:A  RlmtMode:Check Link State
Sep 21 19:49:57 localhost kernel: ACPI: PCI Interrupt 0000:02:0b.0[A] -> GSI 23
(level, low) -> IRQ 185
Sep 21 19:49:57 localhost kernel: hw_random: RNG not detected
Sep 21 19:49:57 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.7[D] -> GSI 23
(level, low) -> IRQ 185
Sep 21 19:49:57 localhost kernel: ehci_hcd 0000:00:1d.7: EHCI Host Controller
Sep 21 19:49:57 localhost kernel: ehci_hcd 0000:00:1d.7: debug port 1
Sep 21 19:49:57 localhost kernel: ehci_hcd 0000:00:1d.7: BIOS handoff failed
(104, 1010001)
Sep 21 19:49:57 localhost kernel: ehci_hcd 0000:00:1d.7: continuing after BIOS
bug...
Sep 21 19:49:57 localhost kernel: ehci_hcd 0000:00:1d.7: new USB bus registered,
assigned bus number 1
Sep 21 19:49:57 localhost kernel: ehci_hcd 0000:00:1d.7: irq 185, io mem 0xfebffc00
Sep 21 19:49:57 localhost kernel: ehci_hcd 0000:00:1d.7: USB 2.0 initialized,
EHCI 1.00, driver 10 Dec 2004
Sep 21 19:49:57 localhost kernel: hub 1-0:1.0: USB hub found
Sep 21 19:49:57 localhost kernel: hub 1-0:1.0: 8 ports detected
Sep 21 19:49:57 localhost kernel: USB Universal Host Controller Interface driver
v2.2
Sep 21 19:49:57 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 16
(level, low) -> IRQ 193
Sep 21 19:49:57 localhost kernel: uhci_hcd 0000:00:1d.0: UHCI Host Controller
Sep 21 19:49:57 localhost kernel: usb 1-2: new high speed USB device using
ehci_hcd and address 3
Sep 21 19:49:57 localhost kernel: uhci_hcd 0000:00:1d.0: new USB bus registered,
assigned bus number 2
Sep 21 19:49:57 localhost kernel: uhci_hcd 0000:00:1d.0: irq 193, io base 0x0000ef00
Sep 21 19:49:57 localhost kernel: hub 2-0:1.0: USB hub found
Sep 21 19:49:58 localhost kernel: hub 2-0:1.0: 2 ports detected
Sep 21 19:49:58 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19
(level, low) -> IRQ 201
Sep 21 19:49:58 localhost kernel: uhci_hcd 0000:00:1d.1: UHCI Host Controller
Sep 21 19:49:58 localhost kernel: uhci_hcd 0000:00:1d.1: new USB bus registered,
assigned bus number 3
Sep 21 19:49:58 localhost kernel: uhci_hcd 0000:00:1d.1: irq 201, io base 0x0000ef20
Sep 21 19:49:58 localhost kernel: hub 3-0:1.0: USB hub found
Sep 21 19:49:58 localhost kernel: hub 3-0:1.0: 2 ports detected
Sep 21 19:49:58 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18
(level, low) -> IRQ 169
Sep 21 19:49:58 localhost kernel: uhci_hcd 0000:00:1d.2: UHCI Host Controller
Sep 21 19:49:58 localhost kernel: uhci_hcd 0000:00:1d.2: new USB bus registered,
assigned bus number 4
Sep 21 19:49:58 localhost kernel: uhci_hcd 0000:00:1d.2: irq 169, io base 0x0000ef40
Sep 21 19:49:58 localhost kernel: hub 4-0:1.0: USB hub found
Sep 21 19:49:58 localhost kernel: hub 4-0:1.0: 2 ports detected
Sep 21 19:49:58 localhost kernel: usb 1-2: device descriptor read/64, error -71
Sep 21 19:49:58 localhost kernel: ACPI: PCI Interrupt 0000:00:1d.3[A] -> GSI 16
(level, low) -> IRQ 193
Sep 21 19:49:58 localhost kernel: uhci_hcd 0000:00:1d.3: UHCI Host Controller
Sep 21 19:49:58 localhost kernel: uhci_hcd 0000:00:1d.3: new USB bus registered,
assigned bus number 5
Sep 21 19:49:58 localhost kernel: uhci_hcd 0000:00:1d.3: irq 193, io base 0x0000ef80
Sep 21 19:49:58 localhost kernel: hub 5-0:1.0: USB hub found
Sep 21 19:49:58 localhost kernel: hub 5-0:1.0: 2 ports detected
Sep 21 19:49:58 localhost kernel: md: Autodetecting RAID arrays.
Sep 21 19:49:58 localhost kernel: md: autorun ...
Sep 21 19:49:58 localhost kernel: md: ... autorun DONE.
Sep 21 19:49:58 localhost kernel: Using generic hotkey driver
Sep 21 19:49:58 localhost kernel: ACPI: Power Button (FF) [PWRF]
Sep 21 19:49:58 localhost kernel: ACPI: Power Button (CM) [PWRB]
Sep 21 19:49:58 localhost kernel: ibm_acpi: Using generic hotkey driver
Sep 21 19:49:58 localhost kernel: toshiba_acpi: Using generic hotkey driver
Sep 21 19:49:58 localhost kernel: usb 1-2: device descriptor read/64, error -71
Sep 21 19:49:58 localhost kernel: EXT3 FS on hda3, internal journal
Sep 21 19:49:58 localhost kernel: device-mapper: 4.4.0-ioctl (2005-01-12)
initialised: dm-devel@redhat.com
Sep 21 19:49:58 localhost kernel: usb 1-2: new high speed USB device using
ehci_hcd and address 4
Sep 21 19:49:58 localhost kernel: kjournald starting.  Commit interval 5 seconds
Sep 21 19:49:58 localhost kernel: EXT3 FS on hda1, internal journal
Sep 21 19:49:58 localhost kernel: EXT3-fs: mounted filesystem with ordered data
mode.
Sep 21 19:49:58 localhost kernel: Adding 1052248k swap on /dev/hda2. 
Priority:-1 extents:1
Sep 21 19:49:58 localhost kernel: usb 1-2: device descriptor read/64, error -71
Sep 21 19:49:58 localhost kernel: IA-32 Microcode Update Driver: v1.14
<tigran@veritas.com>
Sep 21 19:49:58 localhost kernel: microcode: CPU1 updated from revision 0x7 to
0xb, date = 05122004 
Sep 21 19:49:58 localhost kernel: microcode: CPU0 updated from revision 0x7 to
0xb, date = 05122004 
Sep 21 19:49:58 localhost kernel: usb 1-2: device descriptor read/64, error -71
Sep 21 19:49:58 localhost kernel: usb 1-2: new high speed USB device using
ehci_hcd and address 5
Sep 21 19:49:58 localhost kernel: usb 1-2: device not accepting address 5, error -71
Sep 21 19:49:58 localhost kernel: usb 1-2: new high speed USB device using
ehci_hcd and address 6
Sep 21 19:49:58 localhost kernel: usb 1-2: device not accepting address 6, error -71
Sep 21 19:49:58 localhost kernel: usb 1-4: new high speed USB device using
ehci_hcd and address 7
Sep 21 19:49:58 localhost kernel: usb 2-1: new full speed USB device using
uhci_hcd and address 2
Sep 21 19:49:58 localhost kernel: SCSI subsystem initialized
Sep 21 19:49:58 localhost kernel: Initializing USB Mass Storage driver...
Sep 21 19:49:58 localhost kernel: scsi0 : SCSI emulation for USB Mass Storage
devices
Sep 21 19:49:58 localhost kernel: usbcore: registered new driver usb-storage
Sep 21 19:49:58 localhost kernel: USB Mass Storage support registered.
Sep 21 19:49:58 localhost kernel:   Vendor: Generic   Model: STORAGE DEVICE   
Rev: 1.00
Sep 21 19:49:58 localhost kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 00
Sep 21 19:49:58 localhost kernel: Attached scsi removable disk sda at scsi0,
channel 0, id 0, lun 0
Sep 21 19:49:58 localhost kernel: parport: PnPBIOS parport detected.
Sep 21 19:49:58 localhost kernel: parport0: PC-style at 0x378, irq 7 [PCSPP]
Sep 21 19:49:58 localhost kernel: parport0: Printer, Hewlett-Packard HP LaserJet 5L
Sep 21 19:49:58 localhost kernel: pnp: Device 00:09 disabled.
Sep 21 19:49:58 localhost kernel: Device not ready. Make sure there is a disc in
the drive.
Sep 21 19:49:58 localhost kernel: Device not ready. Make sure there is a disc in
the drive.
Sep 21 19:49:58 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Sep 21 19:49:58 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Sep 21 19:49:58 localhost kernel: eth0: link up, 10Mbps, half-duplex, lpa 0x0000
Sep 21 19:49:58 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Sep 21 19:49:58 localhost kernel: eth1: network connection up using port A
Sep 21 19:49:58 localhost kernel:     speed:           100
Sep 21 19:49:58 localhost kernel:     autonegotiation: yes
Sep 21 19:49:58 localhost kernel:     duplex mode:     full
Sep 21 19:49:58 localhost kernel:     flowctrl:        none
Sep 21 19:49:58 localhost kernel:     irq moderation:  disabled
Sep 21 19:49:58 localhost kernel:     scatter-gather:  enabled
Sep 21 19:49:58 localhost kernel: NET: Registered protocol family 10
Sep 21 19:49:58 localhost kernel: Disabled Privacy Extensions on device c0376e40(lo)
Sep 21 19:49:58 localhost kernel: IPv6 over IPv4 tunneling driver
Sep 21 19:49:58 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Sep 21 19:49:58 localhost kernel: pnp: Device 00:09 activated.
Sep 21 19:49:58 localhost kernel: parport: PnPBIOS parport detected.
Sep 21 19:49:58 localhost kernel: parport0: PC-style at 0x378, irq 7 [PCSPP]
Sep 21 19:49:58 localhost kernel: parport0: Printer, Hewlett-Packard HP LaserJet 5L
Sep 21 19:49:58 localhost kernel: lp0: using parport0 (interrupt-driven).
Sep 21 19:49:58 localhost kernel: lp0: console ready
Sep 21 19:49:59 localhost cups: cupsd startup succeeded
Sep 21 19:50:00 localhost sshd:  succeeded
Sep 21 19:50:00 localhost xinetd: xinetd startup succeeded
Sep 21 19:50:00 localhost xinetd[4143]: xinetd Version 2.3.13 started with
libwrap loadavg options compiled in.
Sep 21 19:50:00 localhost xinetd[4143]: Started working: 1 available service
Sep 21 19:50:08 localhost ntpdate[4155]: no server suitable for synchronization
found
Sep 21 19:50:08 localhost ntpd:  failed
Sep 21 19:50:08 localhost ntpd[4176]: ntpd 4.2.0a@1.1190-r Fri Aug 26 04:27:20
EDT 2005 (1)
Sep 21 19:50:08 localhost ntpd: ntpd startup succeeded
Sep 21 19:50:08 localhost ntpd[4176]: precision = 3.000 usec
Sep 21 19:50:08 localhost ntpd[4176]: Listening on interface wildcard, 0.0.0.0#123
Sep 21 19:50:08 localhost ntpd[4176]: Listening on interface wildcard, ::#123
Sep 21 19:50:08 localhost ntpd[4176]: Listening on interface lo, 127.0.0.1#123
Sep 21 19:50:08 localhost ntpd[4176]: Listening on interface eth0, 192.168.0.1#123
Sep 21 19:50:08 localhost ntpd[4176]: Listening on interface eth1, 69.255.xx.zz#123
Sep 21 19:50:08 localhost ntpd[4176]: kernel time sync status 0040
Sep 21 19:50:08 localhost ntpd[4176]: frequency initialized -51.220 PPM from
/var/lib/ntp/drift
Sep 21 19:50:08 localhost ntpd[4176]: configure: keyword "authenticate" unknown,
line ignored
Sep 21 19:50:08 localhost dhcpd: Wrote 3 leases to leases file.
Sep 21 19:50:08 localhost dhcpd: dhcpd startup succeeded
Sep 21 19:50:08 localhost dhcpd: dhcpd startup succeeded
Sep 21 19:50:09 localhost sendmail: sendmail startup succeeded
Sep 21 19:50:09 localhost sendmail: sm-client startup succeeded
Sep 21 19:50:09 localhost gpm[4225]: *** info [startup.c(95)]: 
Sep 21 19:50:09 localhost gpm[4225]: Started gpm successfully. Entered daemon mode.
Sep 21 19:50:09 localhost gpm[4225]: *** info [mice.c(1766)]: 
Sep 21 19:50:09 localhost gpm[4225]: imps2: Auto-detected intellimouse PS/2
Sep 21 19:50:09 localhost gpm: gpm startup succeeded
Sep 21 19:50:09 localhost crond: crond startup succeeded
Sep 21 19:50:10 localhost xfs: xfs startup succeeded
Sep 21 19:50:10 localhost anacron: anacron startup succeeded
Sep 21 19:50:10 localhost atd: atd startup succeeded
Sep 21 19:50:10 localhost readahead: Starting background readahead: 
Sep 21 19:50:11 localhost rc: Starting readahead:  succeeded
Sep 21 19:50:11 localhost messagebus: messagebus startup succeeded
Sep 21 19:50:12 localhost cups-config-daemon: cups-config-daemon startup succeeded
Sep 21 19:50:12 localhost haldaemon: haldaemon startup succeeded
Sep 21 19:50:13 localhost su(pam_unix)[4324]: session opened for user ejy by (uid=0)
Sep 21 19:50:13 localhost fstab-sync[4325]: removed all generated mount points
Sep 21 19:50:14 localhost su(pam_unix)[4324]: session closed for user ejy
Sep 21 19:50:22 localhost login(pam_unix)[4366]: session opened for user root by
LOGIN(uid=0)
Sep 21 19:50:22 localhost  -- root[4366]: ROOT LOGIN ON tty1
Sep 21 19:52:08 localhost dhcpd: receive_packet failed on eth0: Network is down
Sep 21 19:52:09 localhost network: Shutting down interface eth0:  succeeded
Sep 21 19:52:09 localhost kernel: eth1: network connection down
Sep 21 19:52:09 localhost network: Shutting down interface eth1:  succeeded
Sep 21 19:52:09 localhost network: Shutting down loopback interface:  succeeded
Sep 21 19:52:09 localhost sysctl: net.ipv4.ip_forward = 0
Sep 21 19:52:09 localhost network: Disabling IPv4 packet forwarding:  succeeded
Sep 21 19:52:09 localhost sysctl: net.ipv4.ip_forward = 1
Sep 21 19:52:09 localhost sysctl: net.ipv4.conf.default.rp_filter = 1
Sep 21 19:52:09 localhost sysctl: kernel.sysrq = 0
Sep 21 19:52:09 localhost sysctl: kernel.core_uses_pid = 1
Sep 21 19:52:09 localhost network: Setting network parameters:  succeeded
Sep 21 19:52:09 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Sep 21 19:52:09 localhost network: Bringing up loopback interface:  succeeded
Sep 21 19:52:09 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Sep 21 19:52:09 localhost kernel: eth0: link up, 10Mbps, half-duplex, lpa 0x0000
Sep 21 19:52:11 localhost network: Bringing up interface eth0:  succeeded
Sep 21 19:52:11 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Sep 21 19:52:11 localhost ifup: 
Sep 21 19:52:11 localhost ifup: Determining IP information for eth1...
Sep 21 19:52:11 localhost dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67
Sep 21 19:52:13 localhost kernel: eth1: network connection up using port A
Sep 21 19:52:13 localhost kernel:     speed:           100
Sep 21 19:52:13 localhost kernel:     autonegotiation: yes
Sep 21 19:52:13 localhost kernel:     duplex mode:     full
Sep 21 19:52:13 localhost kernel:     flowctrl:        none
Sep 21 19:52:13 localhost kernel:     irq moderation:  disabled
Sep 21 19:52:13 localhost kernel:     scatter-gather:  enabled
Sep 21 19:52:13 localhost dhclient: DHCPACK from 10.82.224.1
Sep 21 19:52:13 localhost dhclient: bound to 69.255.xx.yy -- renewal in 107418
seconds.
Sep 21 19:52:13 localhost ifup:  done.
Sep 21 19:52:13 localhost network: Bringing up interface eth1:  succeeded
Sep 21 19:52:54 localhost kernel: ip_tables: (C) 2000-2002 Netfilter core team
Sep 21 19:52:54 localhost kernel: ip_conntrack version 2.1 (8189 buckets, 65512
max) - 256 bytes per conntrack
Sep 21 19:52:54 localhost hald[4317]: Timed out waiting for hotplug event 618.
Rebasing to 626
[root@dad ~]# exit
exit

Script done on Wed 21 Sep 2005 07:56:09 PM EDT

I believe this removes the 'firewall' service as the root of the problem.

The kernel is stock as shown in the 'uname -a' command in the original comments.

I will be happy to check out anything else you recommend to get to the bottom of
this problem.  Thank you for your time and effort.
Comment 3 Jason Vas Dias 2005-09-22 16:24:27 EDT
Please gather the following information:

1. Boot into single user mode (give the '1' argument at the boot grub screen) 

2. Add this line to /etc/sysconfig/named:
'
OPTIONS=-d99
'
   ensure correct permissions for the $ROOTDIR/var/named directory 
   (where ROOTDIR may be set in /etc/sysconfig/named if you have bind-chroot):

   # chown named:named $ROOTDIR/var/named

3. Change to runlevel 2:
   # init 2

4. The network will now have been brought up .

   What are the contents of the /etc/resolv.conf file and /etc/dhclient*.conf
   files? 

   If named has not already started in runlevel 2, bring it up:

   # service named start

   Gather a tcpdump log of DNS traffic:

   # tcpdump -nl -vvv -s 4096 -i any port domain >/tmp/tcpdump_dns.log 2>&1 &

   Do some queries, which should fail:
   # host www.google.com; host ftp.redhat.com;

   Do they work if you do:
   # host www.google.com 127.0.0.1;  host ftp.redhat.com 127.0.0.1 ?

5. Gather the data:
   # service network stop
   # tar -cpf - /tmp/tcpdump.log /var/named | gzip > /tmp/168829.log.tar.gz

   and please append the /tmp/168829.log.tar.gz file to this bug report or 
   send it to: jvdias@redhat.com

Thank You!
Comment 4 Ed Young 2005-09-26 07:16:26 EDT
Created attachment 119255 [details]
tcpdump of DNS and associated evidence

I included /var/log/messages and the script of the commands I ran (named.scr).
Comment 5 Jason Vas Dias 2005-09-26 12:52:00 EDT
Hi -

From the logs you sent, it appears the problem was not occurring when you
gathered them - they show successful queries for www.google.com and 
ftp.redhat.com.

Please can you try to gather the logs when reproducing the problem with named
NOT being able to get any responses to queries.  

Does the problem not occur when you boot up directly into runlevel 2 ? 
ie. were the logs gathered immediately after booting into runlevel 2,
(ie. the problem does not occur if runlevel 2 is entered instead of 3-5)
or did you do the service network restart ? (the /var/log/messages file
only shows 1 network start, and the logs show named is working OK ).  
Please try taking out the 'service network restart' from /etc/rc.d/rc.local,
booting into a runlevel where the problem can be reproduced, and gathering
the logs while reproducing the problem - I cannot reproduce it here. 

It seems your server ( 69.x.y.84 ) is being told first to query nameserver 
68.w.z.194, which always returns Refused to every query, and then nameserver
68.w.z.196, which responds with correct answers to queries. NS 68.w.z.194
would appear to be using a view or 'allow-query' clause which disallows
queries from your host.
Comment 6 Ed Young 2005-09-26 17:51:24 EDT
Created attachment 119279 [details]
Contains named-1.scr named.run tcpdump.log

I have repeated the error in runlevel 1.  I did this by running:
  service iptables start;service firewall start;\
  service network start;service named start
as one compound command.  This very much shortened the time between starting
the  network and starting named.  I think that there is a timing issue, and
that named may attach to the network stack before it is fully formed causing
the network to behave inappropriately (reporting it is up without actually
being completely up).

To answer your previous questions:

Does the problem not occur when you boot up directly into runlevel 2 ?
-- The problem does not occur with booting up directly into runlevel 1.
 
ie. were the logs gathered immediately after booting into runlevel 2,
(ie. the problem does not occur if runlevel 2 is entered instead of 3-5)
or did you do the service network restart ?
-- I did not do a network restart on runlevel 2, it was started only once.

(the /var/log/messages file only shows 1 network start, and the logs show named
is working OK ).  
-- This is correct.
-- However, starting named is not a part of runlevel 2 on my system.
-- I had to hand start named.
-- This allowed plenty of time for the network to start completely
-- before named had to use network services.

Hope this helps!
Comment 7 Jason Vas Dias 2005-10-11 18:14:12 EDT

*** This bug has been marked as a duplicate of 146682 ***

Note You need to log in before you can comment on or make changes to this bug.